# $Revision: 1.20 $, $Date: 2002/08/14 11:45:18 $
#
# Conditional build:
# _without_gnome - without gnome support
# _without_esound - without esd support
#
Summary:	Soundtracker - Music editor in format xm/mod
Summary(pl):	Soundtracker - Program do komponowania muzyki w formatach xm/mod
Name:		soundtracker
%define	ver	0.6
%define	subver	6
Version:	%{ver}.%{subver}
Release:	2
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	ftp://ftp.soundtracker.org/pub/soundtracker/v%{ver}/%{name}-%{version}.tar.gz
Patch0:		%{name}-no_chmod.patch
Patch1:		%{name}-acfix.patch
Patch2:		%{name}-am_fix.patch
URL:		http://www.soundtracker.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	audiofile-devel >= 0.1.5
%{?!_without_esound:BuildRequires:	esound-devel >= 0.2.8}
BuildRequires:	gettext-devel
%{?!_without_gnome:BuildRequires:	gnome-libs-devel}
BuildRequires:	gtk+-devel >= 1.2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
SoundTracker is a pattern-oriented music editor (similar to the DOS
program 'FastTracker'). Samples are lined up on tracks and patterns
which are then arranged to a song. Supported module formats are XM and
MOD; the player code is the one from OpenCP. A basic sample recorder
and editor is also included.

%description -l pl
SoundTracker jest edytorem plikw muzycznych podobnym do znanego spod
DOS programu FastTracker. Sample s rozmieszczane na ciekach i
szablonach, ktre s ukadane w utwory. Edytor obsuguje formaty XM i
MOD. Kod odtwarzacza pochodzi z OpenCP. Zaczony jest prosty edytor
i program do nagrywania sampli.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__gettextize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	%{?_without_esound:--disable-esd} \
	%{?_without_gnome:--disable-gnome} \
%ifnarch %{ix86}
	--disable-asm
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	utildir=%{_applnkdir}/Multimedia

install soundtracker.desktop $RPM_BUILD_ROOT%{_applnkdir}/Multimedia

%find_lang %{name} %{!?_without_gnome:--with-gnome}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS FAQ NEWS TODO README ChangeLog doc/x[im].txt
%attr(755,root,root) %{_bindir}/*
%{_datadir}/soundtracker
%{_applnkdir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: soundtracker.spec,v $
Revision 1.20  2002/08/14 11:45:18  qboosh
- fixed broken am_fix patch - asm builds now on Ra/x86
- release 2

Revision 1.19  2002/08/12 20:25:41  qboosh
- fixed %%install, added missing splash screen
- temporarily added bcond for asm - it builds for me, need to check in Ra env.

Revision 1.18  2002/08/11 23:17:20  marcus
- desktop file is not only for gnome

Revision 1.17  2002/08/11 22:52:17  mmazur
- had to --disable-asm for it to build on x86... go figure

Revision 1.16  2002/08/11 21:00:02  mmazur
- updated to 0.6.6; rel1; STBR
- use new %%doc

Revision 1.15  2002/07/22 14:36:30  marcus
- start fixing for ppc

Revision 1.14  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.13  2002/05/21 23:14:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.11  2002/03/06 09:12:48  jack
- Updated to 0.6.4 - builds and works ok
- Cosmetics in summary

Revision 1.10  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/10/17 21:44:34  qboosh
- ac-2.52/am-1.5 ready: changed no_chmod patch, added acfix patch
- release 3

Revision 1.6  2001/05/22 09:06:52  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.5  2001/03/03 07:28:18  kloczek
- adapterized and few small cosmetics.

Revision 1.4  2001/03/03 00:27:24  qboosh
- added descriptions
- aclocal/autoconf/automake -a -c (necessary with new automake)
- release 2

Revision 1.3  2001/01/09 17:52:00  qboosh
- update to 0.6.2
- bconds: off_gnome, off_esound

Revision 1.2  2000/09/06 22:02:58  klakier
- fixed .desktop location
- added ExclusiveArch

Revision 1.1  2000/09/06 17:57:08  klakier
- initial version
